aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/CMakeLists.txt1
-rw-r--r--config/config.h.in1
-rw-r--r--runtime/doc/quickref.txt2
-rw-r--r--runtime/doc/repeat.txt4
-rwxr-xr-xscripts/vim-patch.sh2
-rw-r--r--src/nvim/os/win_defs.h4
6 files changed, 5 insertions, 9 deletions
diff --git a/config/CMakeLists.txt b/config/CMakeLists.txt
index 1dcf7e4686..81b1fd64e3 100644
--- a/config/CMakeLists.txt
+++ b/config/CMakeLists.txt
@@ -15,7 +15,6 @@ check_type_size("void *" SIZEOF_VOID_PTR)
check_symbol_exists(_NSGetEnviron crt_externs.h HAVE__NSGETENVIRON)
# Headers
-check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(iconv.h HAVE_ICONV_H)
check_include_files(langinfo.h HAVE_LANGINFO_H)
check_include_files(locale.h HAVE_LOCALE_H)
diff --git a/config/config.h.in b/config/config.h.in
index 84a90301ff..1eafc8cb95 100644
--- a/config/config.h.in
+++ b/config/config.h.in
@@ -13,7 +13,6 @@
#endif
#cmakedefine HAVE__NSGETENVIRON
-#cmakedefine HAVE_FCNTL_H
#cmakedefine HAVE_FD_CLOEXEC
#cmakedefine HAVE_FSEEKO
#cmakedefine HAVE_GETPWENT
diff --git a/runtime/doc/quickref.txt b/runtime/doc/quickref.txt
index 14aa3ef603..ded5e69438 100644
--- a/runtime/doc/quickref.txt
+++ b/runtime/doc/quickref.txt
@@ -983,8 +983,6 @@ Short explanation of each option: *option-list*
|dos-CTRL-Break| CTRL-Break Windows: during searches: Interrupt the search
|<Del>| <Del> while entering a count: delete last character
|:version| :ve[rsion] show version information
-|:mode| :mode N Windows: set screen mode to N (number, C80,
- C4350, etc.)
|:normal| :norm[al][!] {commands}
execute Normal mode commands
|Q| Q switch to "Ex" mode
diff --git a/runtime/doc/repeat.txt b/runtime/doc/repeat.txt
index 05a49d9658..59dbbf3067 100644
--- a/runtime/doc/repeat.txt
+++ b/runtime/doc/repeat.txt
@@ -658,10 +658,6 @@ long you take to respond to the input() prompt is irrelevant.
Profiling should give a good indication of where time is spent, but keep in
mind there are various things that may clobber the results:
-- The accuracy of the time measured depends on the gettimeofday() system
- function. It may only be as accurate as 1/100 second, even though the times
- are displayed in micro seconds.
-
- Real elapsed time is measured, if other processes are busy they may cause
delays at unpredictable moments. You may want to run the profiling several
times and use the lowest results.
diff --git a/scripts/vim-patch.sh b/scripts/vim-patch.sh
index c0934a17e3..badf747742 100755
--- a/scripts/vim-patch.sh
+++ b/scripts/vim-patch.sh
@@ -182,7 +182,7 @@ list_vim_patches() {
local patch_number="${BASH_REMATCH[2]}"
# Tagged Vim patch, check version.c:
is_missing="$(sed -n '/static int included_patches/,/}/p' "${NEOVIM_SOURCE_DIR}/src/nvim/version.c" |
- grep -x -e "[[:space:]]*//${patch_number} NA" -e "[[:space:]]*${patch_number}," >/dev/null && echo "false" || echo "true")"
+ grep -x -e "[[:space:]]*//[[:space:]]${patch_number} NA" -e "[[:space:]]*${patch_number}," >/dev/null && echo "false" || echo "true")"
vim_commit="${BASH_REMATCH[1]//-/.}"
else
# Untagged Vim patch (e.g. runtime updates), check the Neovim git log:
diff --git a/src/nvim/os/win_defs.h b/src/nvim/os/win_defs.h
index 642b038b6b..ba96347a12 100644
--- a/src/nvim/os/win_defs.h
+++ b/src/nvim/os/win_defs.h
@@ -5,6 +5,10 @@
#include <sys/stat.h>
#include <stdio.h>
+// Windows does not have S_IFLNK but libuv defines it
+// and sets the flag for us when calling uv_fs_stat.
+#include <uv.h>
+
#define NAME_MAX _MAX_PATH
#define TEMP_DIR_NAMES {"$TMP", "$TEMP", "$USERPROFILE", ""}